/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 2017-02-15 17:18:02 UTC)
 * on 2017-05-29 at 18:21:26 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.translate.model;

/**
 * Model definition for LanguagesResource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Cloud Translation API. For a detailed
 * explanation see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LanguagesResource extends com.google.api.client.json.GenericJson {

  /**
   * Supported language code, generally consisting of its ISO 639-1 identifier. (E.g. 'en', 'ja').
   * In certain cases, BCP-47 codes including language + region identifiers are returned (e.g. 'zh-
   * TW' and 'zh-CH')
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String language;

  /**
   * Human readable name of the language localized to the target language.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String name;

  /**
   * Supported language code, generally consisting of its ISO 639-1 identifier. (E.g. 'en', 'ja').
   * In certain cases, BCP-47 codes including language + region identifiers are returned (e.g. 'zh-
   * TW' and 'zh-CH')
   * @return value or {@code null} for none
   */
  public java.lang.String getLanguage() {
    return language;
  }

  /**
   * Supported language code, generally consisting of its ISO 639-1 identifier. (E.g. 'en', 'ja').
   * In certain cases, BCP-47 codes including language + region identifiers are returned (e.g. 'zh-
   * TW' and 'zh-CH')
   * @param language language or {@code null} for none
   */
  public LanguagesResource setLanguage(java.lang.String language) {
    this.language = language;
    return this;
  }

  /**
   * Human readable name of the language localized to the target language.
   * @return value or {@code null} for none
   */
  public java.lang.String getName() {
    return name;
  }

  /**
   * Human readable name of the language localized to the target language.
   * @param name name or {@code null} for none
   */
  public LanguagesResource setName(java.lang.String name) {
    this.name = name;
    return this;
  }

  @Override
  public LanguagesResource set(String fieldName, Object value) {
    return (LanguagesResource) super.set(fieldName, value);
  }

  @Override
  public LanguagesResource clone() {
    return (LanguagesResource) super.clone();
  }

}
